/*
** list_add_item_end.c for list in /u/a1/deleda_c/rendu/piscine/j6/list
**
** Made by charles-alban deledalle
** Login   <deleda_c@epita.fr>
**
** Started on  Fri Sep 16 21:15:00 2005 charles-alban deledalle
** Last update Sat Sep 17 04:02:47 2005 charles-alban deledalle
*/

#include <stdlib.h>
#include "s_list.h"

static struct s_list	*list_create_node_aie(void	*data)
{
  struct s_list		*res;

  if (!(res = malloc(sizeof (struct s_list))))
    exit(42);
  res->data = data;
  res->next = NULL;
  return res;
}

void			list_add_item_end(struct s_list		**list,
					  void			*data)
{
  struct s_list		*new;
  struct s_list		*p;

  new = list_create_node_aie(data);
  if (!(*list))
    *list = new;
  else
    {
      p = *list;
      while (p->next)
	p = p->next;
      p->next = new;
    }
}
