/*
** list_free.c for list in /u/a1/deleda_c/rendu/piscine/j6/list
**
** Made by charles-alban deledalle
** Login   <deleda_c@epita.fr>
**
** Started on  Fri Sep 16 21:42:31 2005 charles-alban deledalle
** Last update Sat Sep 17 01:04:08 2005 charles-alban deledalle
*/

#include <stdlib.h>
#include "s_list.h"

void		list_free(struct s_list **list, t_free_func free_func)
{
  struct s_list	*tmp;

  while (*list)
    {
      tmp = *list;
      *list = tmp->next;
      free_func(tmp->data);
      free(tmp);
    }
}
